com.ibm.openpages.api.service

## Interface IQueryService

-     public interface IQueryService

  The OpenPages Query Service provides a type-based query service for discovering objects that match specified criteria, by projecting the OpenPages Domain model as a relational view. Through this relational view, queries may be performed using a simplified SQL SELECT statement.

  This query language is based on a subset of the SQL-92 grammar with extensions to enhance its filtering capability for the Domain model, such as enumeration-valued/multi enumeration-valued fields, full-text search, and hierarchal traversal.

  The semantics of this query language is defined by the SQL-92 standard, including the extensions, in conjunction with the Domain model relational view. For full details on the query language syntax see `com.ibm.openpages.api.query`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_ROWS`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IQuery` | `buildQuery(java.lang.String sqlStatement)` Builds a query object using the current reporting period.
    `IQuery` | `buildQuery(java.lang.String sqlStatement, IReportingPeriod reportingPeriod)` Builds a query object using the specified reporting period.
    `int` | `getDefaultMaxRows()` Returns the default maximum number of rows to return.
    `void` | `setDefaultMaxRows(int maxRows)` Sets the default maximum number of rows to return.

- - ### Field Detail

    - #### DEFAULT_MAX_ROWS

          static final int DEFAULT_MAX_ROWS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultMaxRows

          int getDefaultMaxRows()

      Returns the default maximum number of rows to return.
      Returns:
        the default maximum number of rows returned.

    - #### setDefaultMaxRows

          void setDefaultMaxRows(int maxRows)

      Sets the default maximum number of rows to return.
      Parameters:
        `maxRows` - the default maximum number of rows returned. A value of zero indicates that no maximum value is set.

    - #### buildQuery

          IQuery buildQuery(java.lang.String sqlStatement)

      Builds a query object using the current reporting period.
      Parameters:
        `sqlStatement` - the SQL statement
      Returns:
        the query object

    - #### buildQuery

          IQuery buildQuery(java.lang.String sqlStatement,
                            IReportingPeriod reportingPeriod)

      Builds a query object using the specified reporting period.
      Parameters:
        `sqlStatement` - the SQL statement
        `reportingPeriod` - the reporting period to query
      Returns:
        the query object

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.